<?php
use Internetgalerie\IgSemanticContact\Controller\ContactController;
use TYPO3\CMS\Extbase\Utility\ExtensionUtility;
use TYPO3\CMS\Core\Utility\ExtensionManagementUtility;

defined('TYPO3') || die('Access denied.');

ExtensionUtility::configurePlugin(
    'IgSemanticContact',
    'Contact',
    [
        ContactController::class => 'show'
    ],
    // non-cacheable actions
    [
                
    ]
);
// wizards
ExtensionManagementUtility::addPageTSConfig(
    'mod {
            wizards.newContentElement.wizardItems.plugins {
                elements {
                    contact {
                        iconIdentifier = ig_semantic_contact-icon
                        title = LLL:EXT:ig_semantic_contact/Resources/Private/Language/locallang_db.xlf:tx_ig_semantic_contact_domain_model_contact
                        description = LLL:EXT:ig_semantic_contact/Resources/Private/Language/locallang_db.xlf:tx_ig_semantic_contact_domain_model_contact.description
                        tt_content_defValues {
                            CType = list
                            list_type = igsemanticcontact_contact
                        }
                    }
                }
                show = *
            }
       }'
);

$iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);

$iconRegistry->registerIcon(
    'ig_semantic_contact-icon',
    \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
    ['source' => 'EXT:ig_semantic_contact/Resources/Public/Icons/ig_semantic_contact-icon.svg']
);
