<?php

namespace Internetgalerie\IgSemanticContact\Controller;

use Psr\Http\Message\ResponseInterface;
use TYPO3\CMS\Extbase\Mvc\Controller\ActionController;

class ContactController extends ActionController
{
    /**
     * Outputs the contact in structured data
     */
    public function showAction(): ResponseInterface
    {
        $this->settings['openingHours'] = preg_split("/\r\n|\n|\r/", (string) $this->settings['openingHours']);
        
        $this->view->assign('settings', $this->settings);
        return $this->htmlResponse();
    }
}
